Good- but it shouldn't be necessary Rated 4 out of 5 stars

This one works as advertised- but the whole compatibility system clearly needs an overhaul. Mozilla is being slow to approve updates and many excellent ( and sometimes abandoned) apps work perfectly fine and ARE compatible and they just need the version number updated. Veteran users will easily be able to edit the version number but that is too much for the average users. Tech should be like wine. It should be something you enjoy- not something you stress over. Until they fix the IMO needlessly difficult system this one will do the job well. They also should drop the scary language about this only being for beta users as this works well and fixes an issue that should not exist in the first place. Someone who has the know-how should step in and devise improvements in the compatibility system. ** For Sandro** Yes, you can roll back to previous versions. Back up your data and then get the setup file for the version you want and install that version. I firmly believe that 3.6 is the best browser on the planet- but you could get any older version here: http://www.oldapps.com/firefox.php

This review is for a previous version of the add-on (0.8.7).